> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# ケースメモ一覧取得API

> Didit Management APIで、ケースのプレーンテキストのメモを新しい順に一覧取得します。添付ファイルとタグも含まれます。



ケースメモ一覧取得APIプロンプト
        プロンプトをクリップボードにコピー



      
      

\<pre>

\`List a case's notes through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/

Authentication:
Use the x-api-key header with my Didit API key.

Query params: limit (default 50), offset (default 0).

Example call:
curl -X GET "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/" \
-H "x-api-key: YOUR_API_KEY"

Response 200: {"count": int, "next": url|null, "previous": url|null, "results": [CaseNote, ...]}
CaseNote: uuid, comment, actor_email, actor_name, mentioned_emails, is_internal, attachments [{s3_key, filename, file_size, url}], tags, created_at.

Failure modes:
\- 401/403 - auth/permission errors (requires read:cases).
\- 404 - case not found.

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

貼り付け先

ケースのメモを新しい順に一覧で取得します。メモはプレーンテキストで、添付ファイルとタグを任意で付けられます。リッチテキストの書式設定には対応していません。## 関連情報- [ケースメモの作成](https://docs.didit.me/ja/management-api/cases/create-note.md)
- [ケースの取得](https://docs.didit.me/ja/management-api/cases/get.md)


## OpenAPI

````yaml ja/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/:
    get:
      tags:
        - Case Management
      operationId: list_case_notes
      parameters:
        - in: path
          name: organization_id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: application_id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: case_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: ordering
          required: false
          in: query
          description: 結果の並べ替えに使用するフィールド。
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: 1ページあたりに返す結果の件数です。
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: 結果を返す開始インデックスです。
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseCollaborationPaginatedCaseNoteList'
          description: ''
        '403':
          description: 呼び出し元に必要なケースの権限がありません。
        '404':
          description: この呼び出し元はケースまたはメモを利用できません。
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            for item in client.cases.notes.list(
                "11111111-2222-3333-4444-555555555555",
            ):
                print(item)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            const didit = new Didit();


            for await (const item of
            didit.cases.notes.list("11111111-2222-3333-4444-555555555555")) {
              console.log(item);
            }
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\niter := client.Cases.Notes.ListAutoPaging(ctx, \"11111111-2222-3333-4444-555555555555\", didit.CasesNotesListParams{})\nfor iter.Next() {\n\tfmt.Printf(\"%+v\\n\", iter.Current())\n}\nif err := iter.Err(); err != nil {\n\tlog.Fatal(err)\n}"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            Didit client = new Didit();


            for (var item :
            client.cases().notes().list("11111111-2222-3333-4444-555555555555"))
            {
                System.out.println(item);
            }
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            $didit = new DiditClient();


            foreach
            ($didit->cases->notes->list('11111111-2222-3333-4444-555555555555')
            as $item) {
                print_r($item->toArray());
            }
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            # and DIDIT_APPLICATION_ID.

            didit = Didit::Client.new


            didit.cases.notes.list("11111111-2222-3333-4444-555555555555").auto_paging_each
            do |item|
              puts item.to_h
            end
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            using var client = new DiditClient();


            await foreach (var item in await
            client.Cases.Notes.ListAsync("11111111-2222-3333-4444-555555555555"))

            {
                Console.WriteLine(JsonSerializer.Serialize(item));
            }
components:
  schemas:
    CaseCollaborationPaginatedCaseNoteList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CaseCollaborationCaseNote'
    CaseCollaborationCaseNote:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        comment:
          type: string
        actor_email:
          type: string
          format: email
          nullable: true
          maxLength: 255
        actor_name:
          type: string
          nullable: true
          maxLength: 255
        mentioned_emails: {}
        is_internal:
          type: boolean
        attachments: {}
        tags: {}
        created_at:
          type: string
          format: date-time
          readOnly: true
        reply_to:
          allOf:
            - $ref: '#/components/schemas/CaseCollaborationCaseNoteReply'
          nullable: true
          readOnly: true
        is_pinned:
          type: boolean
        client_reference:
          type: string
          format: uuid
          nullable: true
      required:
        - comment
        - created_at
        - reply_to
        - uuid
    CaseCollaborationCaseNoteReply:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        actor_name:
          type: string
          nullable: true
        actor_email:
          type: string
          format: email
          nullable: true
        comment:
          type: string
          maxLength: 300
      required:
        - actor_email
        - actor_name
        - comment
        - uuid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.